% \iffalse
%<*base>
% \fi\file{style/mu/fithesis-base.sty}\label{sec:fithesis-mu-base}
% \changes{v1.0.0}{2021/03/19}{Files were renamed after
%   breaking changes in package loading after PR 438 in \LaTeXe. [VN]}
% This is the base style file for theses written at the Masaryk
% University in Brno. When inheritance is enabled for style files,
% this file is always the second style file to be loaded right
% after \texttt{style/fithesis-base.sty}, regardless of the value
% of the |\thesis@style| macro.
%    \begin{macrocode}
\ProvidesPackage{fithesis/style/mu/fithesis-mu-base}[2024/03/06]
\NeedsTeXFormat{LaTeX2e}
%    \end{macrocode}
% The file recognizes the following options: \begin{itemize}
%   \item\texttt{10pt}, \texttt{11pt}, \texttt{12pt} -- Sets the
%     type size to 10, 11 or 12 points respectively.
%    \begin{macrocode}
\DeclareOption{10pt}{\def\thesis@ptsize{0}}
\DeclareOption{11pt}{\def\thesis@ptsize{1}}
\DeclareOption{12pt}{\def\thesis@ptsize{2}}
%    \end{macrocode}
%   \item\texttt{oneside}, \texttt{twoside} -- The document is
%     going to be either single- or double-sided, respectively. In
%     a double-sided document, headers, page numbering, margin
%     notes and several other elements will be arranged based on
%     the parity of the page. Blank pages will also be inserted
%     prior the beginning of each chapter to ensure that it starts
%     on a right-hand (odd-numbered) page. The
%     \DescribeMacro{\ifthesis@twoside@}|\ifthesis@twoside@|
%     conditional is set to either \texttt{false} or \texttt{true},
%     respectively.
%    \begin{macrocode}
\newif\ifthesis@twoside@
\DeclareOption{oneside}{%
  \thesis@twoside@false\@twosidefalse\@mparswitchfalse}
\DeclareOption{twoside}{%
  \thesis@twoside@true \@twosidetrue \@mparswitchtrue}
%    \end{macrocode}
%   \item\texttt{onecolumn}, \texttt{twocolumn} -- The document
%     is going to be set in either a single column or in two
%     columns, respectively.
%    \begin{macrocode}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
%    \end{macrocode}
%   \item\texttt{draft}, \texttt{final} -- Overful lines either are
%     or aren't marked within the document, respectively, and
%     graphics either aren't or are inserted into the document,
%     respectively.
%    \begin{macrocode}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
%    \end{macrocode}
%   \item\texttt{palatino}, \texttt{nopalatino} -- The roman
%     text font family and the math font family is going to be
%     either set to Palatino or left untouched, respectively. The
%     \DescribeMacro{\ifthesis@palatino@}|\ifthesis@|^^A
%     \discretionary{}{}{}|palatino@| conditional is set to either
%     \texttt{true} or \texttt{false}, respectively. The
%     Palatino font is a part of the visual identity of the Faculty
%     of Informatics at which the document class was created.
%    \begin{macrocode}
\newif\ifthesis@palatino@
\DeclareOption{palatino}{\thesis@palatino@true}
\DeclareOption{nopalatino}{\thesis@palatino@false}
%    \end{macrocode}
%   \item\texttt{neuehaas}, \texttt{noneuehaas} -- The sans serif
%    text font family is going to be either set to Neue Haas 
%    (TeX Gyre Heros) or left untouched, respectively. The 
%    \DescribeMacro{\ifthesis@neuehaas@}|\ifthesis@|^^A
%    \discretionary{}{}{}|neuehaas@| conditional is set to either
%    \texttt{true} or \texttt{false}, respectively. The Neue Haas
%    font is a sans serif font chosen to represent the Masaryk 
%    University in Brno as per its Graphic manual.
%   \changes{v1.1.0}{2022/08/15}{^^A
%     Added the \texttt{neuehas} and \texttt{noneuehaas} package options
%     for the Masaryk University in Brno. [TV]}
%    \begin{macrocode}
\newif\ifthesis@neuehaas@
\DeclareOption{neuehaas}{\thesis@neuehaas@true}
\DeclareOption{noneuehaas}{\thesis@neuehaas@false}
%    \end{macrocode}
%   \item\texttt{color}, \texttt{monochrome} -- Certain
%     typographical elements either are or aren't going to be
%     typeset in color, respectively. The
%     \DescribeMacro{\ifthesis@color@}|\ifthesis@color@|
%     conditional is set to either \texttt{true} or \texttt{false},
%     respectively.
%    \begin{macrocode}
\newif\ifthesis@color@
\DeclareOption{monochrome}{\thesis@color@false}
\DeclareOption{color}{\thesis@color@true}
%    \end{macrocode}
%   \item\texttt{colorbold}, \texttt{nocolorbold} -- The bold text either 
%    is or isn't colored (black is used instead). The 
%    \DescribeMacro{\ifthesis@colorbold}|\ifthesis@colorbold@| conditional 
%    is set to either \texttt{true} or \texttt{false}, respectively.
% \changes{v1.1.0}{2022/08/15}{^^A
%     Added the \texttt{colorbold} and \texttt{nocolorbold} package 
%     options for the Masaryk University in Brno. [TV]}
%    \begin{macrocode}
\newif\ifthesis@colorbold@
\DeclareOption{colorbold}{\thesis@colorbold@true}
\DeclareOption{nocolorbold}{\thesis@colorbold@false}
%    \end{macrocode}
%   \item\texttt{microtype}, \texttt{nomicrotype} -- The
%     microtypographic extension of modern \TeX\ engines -- such as
%     \hologo{pdfTeX}, \Hologo{XeTeX}, or \Hologo{LuaTeX} -- is or isn't
%     going to be enabled, respectively. The
%     \DescribeMacro{\ifthesis@microtype@}|\ifthesis@microtype@|
%     conditional is set to either \texttt{true} or \texttt{false},
%     respectively.
%    \begin{macrocode}
\newif\ifthesis@microtype@
\DeclareOption{microtype}{\thesis@microtype@true}
\DeclareOption{nomicrotype}{\thesis@microtype@false}
%    \end{macrocode}
%   \item\texttt{sansbold}, \texttt{nosansbold} -- The \cs{bfseries}
%     command for switching to the bold typeface is or isn't going to use
%     the sans-serif type face, respectively. The
%     \DescribeMacro{\ifthesis@sansbold@}|\ifthesis@sansbold@| conditional
%     is set to either \texttt{true} or \texttt{false}, respectively.
%   \changes{v1.1.0}{2022/08/02}{^^A
%     Added the \texttt{sansbold} and \texttt{nosansbold} package options
%     for the Masaryk University in Brno. [VN]}
%    \begin{macrocode}
\newif\ifthesis@sansbold@
\DeclareOption{sansbold}{\thesis@sansbold@true}
\DeclareOption{nosansbold}{\thesis@sansbold@false}
%    \end{macrocode}
%   \item\texttt{table}, \texttt{oldtable} -- If the
%     |\ifthesis@color@| conditional is \texttt{true}, then the
%     definitions of the \texttt{tabular}, \texttt{tabularx}, and
%     \texttt{tabu} commands either are or aren't going to be
%     altered to better match the style, respectively. The
%     \DescribeMacro{\ifthesis@newtable@}|\ifthesis@newtable@|
%     conditional is set to either \texttt{true} or \texttt{false},
%     respectively.
%
%    \begin{macrocode}
\newif\ifthesis@newtable@
\DeclareOption{table}{\thesis@newtable@true}
\DeclareOption{oldtable}{\thesis@newtable@false}
%    \end{macrocode}
%
%     The choice of the option name is deliberate -- the
%     redefinition of the table environments depends on the
%     \textsf{xcolor} package, which needs to be loaded with the
%     \texttt{table} option. Since so many other packages depend on
%     the \textsf{xcolor} package and this style file is loaded at
%     the very end of the preamble, there would either be a great
%     chance of an option clash, or the option would have to be
%     passed to the \textsf{xcolor} package before the preamble
%     from the body of the \textsf{fithesis4} class thus breaking
%     the encapsulation. Naming the option \texttt{table} forces
%     the option to be processed by the \textsf{xcolor} package as
%     well and it is therefore an elegant solution to the problem
%     at hand.
%   \item\texttt{lot}, \texttt{nolot} -- The \DescribeMacro{^^A
%     \thesis@blocks@lot}|\thesis@blocks@lot| macro will be defined
%     as either |\listoftables| or |\relax|, respectively. As a
%     side effect, the |\listoftables| either is or isn't going to
%     be included in the \DescribeMacro{\thesis@blocks@tables}^^A
%     |\thesis@|\discretionary{}{}{}|blocks@tables| block,
%     respectively.
%    \begin{macrocode}
\DeclareOption{nolot}{\let\thesis@blocks@lot\relax}
\DeclareOption{lot}{\let\thesis@blocks@lot\listoftables}
%    \end{macrocode}
%   \item\texttt{lof}, \texttt{nolof} -- The \DescribeMacro{^^A
%     \thesis@blocks@lof}|\thesis@blocks@lof| macro will be defined
%     as either |\listoffigures| or |\relax|, respectively. As a
%     side effect, the |\listoffigures| either is or isn't going to
%     be included in the \DescribeMacro{\thesis@blocks@tables}^^A
%     |\thesis@|\discretionary{}{}{}|blocks@tables| block,
%     respectively.
%    \begin{macrocode}
\DeclareOption{nolof}{\let\thesis@blocks@lof\relax}
\DeclareOption{lof}{\let\thesis@blocks@lof\listoffigures}
%    \end{macrocode}
%   \item\texttt{cover}, \texttt{nocover} -- The
%     \DescribeMacro{\thesis@blocks@cover}|\thesis@blocks@cover|
%     either is going to expand to either the thesis cover or
%     produces no output, respectively. The
%     \DescribeMacro{\ifthesis@cover@}|\ifthesis@cover@|
%     conditional is set to \texttt{false} or \texttt{true},
%     respectively.
%    \begin{macrocode}
\newif\ifthesis@cover@
\DeclareOption{nocover}{\thesis@cover@false}
\DeclareOption{cover}{\thesis@cover@true}
%    \end{macrocode}
%   \item\texttt{digital}, \texttt{printed} -- These macrooptions
%     set the options that are appropriate for either the printed or
%     for the digital version of the document, respectively. The
%     \DescribeMacro{\ifthesis@digital@}|\ifthesis@digital@|
%     conditional is set to \texttt{true} or \texttt{false},
%     respectively.
% \changes{v1.1.0}{2022/08/15}{^^A
%     Added the \texttt{colorbold} and \texttt{nocolorbold} package 
%     options for the Masaryk University in Brno. [TV]}
%    \begin{macrocode}
\newif\ifthesis@digital@
\DeclareOption{digital}{%
  \ExecuteOptions{color,cover,colorbold}%
  \thesis@digital@true}
\DeclareOption{printed}{%
  \ExecuteOptions{monochrome,nocover,nocolorbold}%
  \thesis@digital@false}
%    \end{macrocode}
% \end{itemize}
% These are the default options:
% \changes{v1.1.0}{2022/08/02}{^^A
%   Added the \texttt{sansbold} and \texttt{nosansbold} package options
%   for the Masaryk University in Brno. [VN]}
%    \begin{macrocode}
\ExecuteOptions{%
  printed,12pt,twoside,final,microtype,sansbold,palatino,neuehaas,oldtable,lot,lof}
\ProcessOptions*
%    \end{macrocode}
% The file uses English locale strings within the macros.
%    \begin{macrocode}
\thesis@requireLocale{english}
%    \end{macrocode}
% The file loads the following packages: \begin{itemize}
%   \item\textsf{xcolor} -- Adds support for color.
% \changes{v1.0.0}{2018/11/18}{^^A
%   The \cs{bfseries} command switches to the sans serif typeface
%   and to the secondary color in the style files of the Masaryk
%   University in Brno, Czech Republic. [VN]}
%   \item\textsf{caption} -- Adds support for changing the
%     formatting of float captions.
%   \item\textsf{ifxetex} -- Used to detect the \Hologo{XeTeX}
%     engine.
%   \item\textsf{ifluatex} -- Used to detect the \Hologo{LuaTeX}
%     engine.
%   \item\textsf{graphix} -- Adds support for the inclusion of
%     graphics files.
%   \item\textsf{pdfpages} -- Adds support for the injection of PDF
%     documents into the resulting document, namely the thesis
%     assignment.
%   \item\textsf{hyperref} -- Adds support for the injection of
%     metadata into the resulting PDF document.
%   \item\textsf{keyval} -- Adds support for parsing
%     comma-delimited lists of key-value pairs.
%   \item\textsf{tabularx} -- Provides the \texttt{tabularx}
%     environment, which enables the typesetting of tables with
%     flexible-width columns.
% \changes{v1.0.0}{2018/12/25}{^^A
%   The packages \textsf{tabularx}, \textsf{tabu}, and
%   \textsf{booktabs} are loaded by default, not only when
%   the \texttt{table} class option has been specified. [VN]}
%   \item\textsf{tabu} -- Provides the \texttt{tabu} environment,
%     which enables the typesetting of complex tables.
%   \item\textsf{booktabs} -- A package, which allows the creation
%     of publication-quality tables in \LaTeX.
% \end{itemize}
% \changes{v1.0.0}{2021/03/04}{Added required package tikz
%   for bibEntry. [TV]}
%    \begin{macrocode}
\thesis@require{xcolor}
\RequirePackage[labelfont=bf]{caption}
\thesis@require{graphicx}
\thesis@require{pdfpages}
\thesis@require{keyval}
\thesis@require{ifxetex}
\thesis@require{ifluatex}
\thesis@require{tabularx}
\thesis@require{tabu}
\thesis@require{booktabs}
\thesis@require{tikz}
%    \end{macrocode}
% If the |\thesis@microtype@| is set to true, then the
% \textsf{microtype} package gets loaded.
%    \begin{macrocode}
\ifthesis@microtype@
  \thesis@require[final,babel,nopatch=item]{microtype}
\fi
%    \end{macrocode}
% Using the |\ifxetex| and |\ifluatex| conditionals, a compound
% \DescribeMacro{\ifthesis@xeluatex}|\ifthesis@xeluatex|
% conditional was constructed. This conditional can be used by
% subsequently loaded style files to test, whether either the
% \Hologo{XeTeX} or the \Hologo{LuaTeX} engine is being used.
%    \begin{macrocode}
{\let\x\expandafter
\x\global\x\let\x\ifthesis@xeluatex\csname if%
  \ifxetex true\else
    \ifluatex\x\x\x t\x\x\x r\x\x\x u\x\x\x e%
    \else   f\x\x\x a\x\x\x l\x\x\x s\x\x\x e%
    \fi
  \fi\endcsname}
%    \end{macrocode}
% The following packages get only loaded, when the document is
% being typeset using the \Hologo{XeTeX} or \Hologo{LuaTeX}
% engine: \begin{itemize}
%   \item\textsf{fontspec} -- Allows the selection of
%     system-installed fonts.
%   \item\textsf{unicode-math} -- Allows the selection of
%     system-installed mathematical fonts.
% \end{itemize}
% Under \Hologo{XeTeX} or \Hologo{LuaTeX}, the \textsf{\TeX{} Gyre
% Pagella} and \textsf{\TeX{} Gyre Pagella Math} fonts are also
% selected as the main text and math fonts and the \textsf{\TeX{}
% Gyre Heros} font is selected as the main sans serif font.
% \changes{v1.0.0}{2018/11/18}{^^A
%   The \TeX{} Gyre Heros is used as the main sans serif font
%   instead of Latin Modern. [VN]}
% \changes{v1.1.0}{2022/08/15}{^^A
%   Added the \texttt{neuehas} and \texttt{noneuehaas} package options
%   for the Masaryk University in Brno. [TV]}
%    \begin{macrocode}
\ifthesis@xeluatex
  \ifthesis@palatino@
    \thesis@require{fontspec}
    \thesis@require{unicode-math}
    \setmainfont[Ligatures=TeX]{TeX Gyre Pagella}
    \setmathfont[math-style=ISO,bold-style=ISO]{texgyrepagella-math.otf}
  \fi
  \ifthesis@neuehaas@
    \thesis@require{fontspec}
    \setsansfont[Ligatures=TeX,Scale=MatchLowercase]{TeX Gyre Heros}
  \fi
%    \end{macrocode}
% The following packages get only loaded, when the document is not
% being typeset using the \Hologo{XeTeX} or \Hologo{LuaTeX} engine,
% the |\ifthesis@palatino@| conditional is \texttt{true}, and the
% |\ifthesis@neuehaas@| conditional is \texttt{true}:
% \begin{itemize}
%   \item\textsf{cmap} -- Places an explicit \texttt{ToUnicode}
%     map in the resulting PDF file, allowing for the extraction of
%     the text from the document.
%   \item\textsf{mathpazo} -- Changes the default math font family
%     to \texttt{mathpazo}.
%   \item\textsf{tgpagella} -- Changes the default roman font
%     family to \TeX\ Gyre Pagella.
%   \item\textsf{tgheros} -- Changes the default sans-serif font
%     face to \TeX{} Gyre Heros.
%   \changes{v1.0.0}{2018/11/18}{^^A
%     The \TeX{} Gyre Heros is used as the main sans serif font
%     instead of Latin Modern. [VN]}
%   \item\textsf{lmodern} -- Changes the default sans-serif and
%     monotype font faces to Latin Modern instead of the default
%     Computer Modern font family.
%   \item\textsf{fontenc} -- The font encoding is set to Cork.
% \end{itemize}
%    \begin{macrocode}
\else
  \ifthesis@palatino@
    \RequirePackage[resetfonts]{cmap}
    \thesis@require{lmodern}
    \thesis@require{mathpazo}
    \thesis@require{tgpagella}
    \RequirePackage[T1]{fontenc}
  \fi
  \ifthesis@neuehaas@
    \thesis@require[scale=0.863]{tgheros}
    \RequirePackage[T1]{fontenc}
  \fi
\fi
%    \end{macrocode}
% If the |\thesis@newtable@| conditional is \texttt{true}, then
% some of the dimensions associated with tables are modified in
% preparation for the coloring of the table cells.
%    \begin{macrocode}
\let\thesis@newtable@old\tabular
\let\endthesis@newtable@old\endtabular
\ifthesis@newtable@
  % Adjust the measurements.
  \setlength{\aboverulesep}{0pt}
  \setlength{\belowrulesep}{0pt}
  \setlength{\extrarowheight}{.75ex}
%    \end{macrocode}
% When both the |\thesis@newtable@| and |\thesis@color@| conditionals are
% \texttt{true}, then the \texttt{tabular} and \texttt{tabularx}
% environments are redefined to better match the style of the given
% faculty.
% 
% The \DescribeMacro{\thesis@newtable@old}|\thesis@newtable@old|
% and \DescribeMacro{\endthesis@newtable@old}
% |\endthesis@newtable@old| macros containing the original
% definition of the |tabular| environment are always defined and
% are available for subsequently loaded styles in case the
% typesetting of unaltered tables is required. Similarly, the
% \DescribeMacro{\thesis@newtable@oldx}|\thesis@newtable@oldx| and
% \DescribeMacro{\endthesis@newtable@oldx}|\endthesis@newtable@oldx|
% macros are defined for the |tabularx| environment and the
% \DescribeMacro{\thesis@newtable@oldtabu}|\thesis@newtable@oldtabu|
% and \DescribeMacro{\endthesis@newtable@oldtabu}
% |\endthesis@newtable@oldtabu| for the |tabu| environment.
%    \begin{macrocode}
  \ifthesis@color@
    % The redefinition of `tabular`
    \renewenvironment{tabular}%
      {\rowcolors{1}{thesis@color@tableOdd}%
                    {thesis@color@tableEven}%
       \thesis@newtable@old}%
      {\endthesis@newtable@old}
    % The redefinition of `tabularx`
    \let\thesis@newtable@oldx\tabularx
    \let\endthesis@newtable@oldx\endtabularx
    \renewenvironment{tabularx}%
      {\rowcolors{1}{thesis@color@tableEven}%
                    {thesis@color@tableOdd}%
       \thesis@newtable@oldx}%
      {\endthesis@newtable@oldx}
    % The redefinition of `tabu`
    \let\thesis@newtable@oldtabu\tabu
    \let\endthesis@newtable@oldtabu\endtabu
    \renewenvironment{tabu}%
      {\rowcolors{1}{thesis@color@tableEven}%
                    {thesis@color@tableOdd}%
       \thesis@newtable@oldtabu}%
      {\endthesis@newtable@oldtabu}
  \fi
\fi
%    \end{macrocode}
% \begin{macro}{\ifthesis@bibliography@}
% A new conditional, |\ifthesis@bibliography@|, is defined. This
% conditional is true, when |\thesis@bibFiles| expands to a
% non-empty token list.
%    \begin{macrocode}
\newif\ifthesis@bibliography@
\thesis@bibliography@false
\ifx\thesis@bibFiles\undefined\else
  {\edef\@bibList{\thesis@bibFiles}%
  \ifx\@bibList\empty\else
    \global\thesis@bibliography@true
  \fi}
\fi
%    \end{macrocode}
% \end{macro}
% \begin{macro}{\thesis@bibliography@setup}
% The file defines the |\thesis@bibliography@setup|\marg{options}
% command, where \textit{options} is a comma-delimited list of
% key-value pairs as defined by the \textsf{keyval} package. The
% command can be invoked by the subsequently loaded style
% files to define the bibliography options.
%    \begin{macrocode}
\def\thesis@bibliography@setup#1{%
  \setkeys{thesis@bibliography}{#1}}
%    \end{macrocode}
% The following key-value pairs are supported:
% \begin{enumerate}
%   \item\marg{\texttt{style}=style} -- Stores \texttt{style} in
%     \DescribeMacro{\thesis@bibliography@style}^^A
%     |\thesis@bibliography@style|, unless it has already been
%     defined (presumably by the user).
%   \item\marg{\texttt{sorting}=mode} -- Stores \texttt{mode} in
%     \DescribeMacro{\thesis@bibliography@sorting}^^A
%     |\thesis@bibliography@sorting|, unless it has already been
%     defined (presumably by the user).
% \end{enumerate}
%    \begin{macrocode}
\define@key{thesis@bibliography}{style}{%
  \ifx\thesis@bibliography@style\undefined
    \def\thesis@bibliography@style{#1}%
  \fi}
\define@key{thesis@bibliography}{sorting}{%
  \ifx\thesis@bibliography@sorting\undefined
    \def\thesis@bibliography@sorting{#1}%
  \fi}
%    \end{macrocode}
% \changes{v0.3.51}{2018/06/15}{^^A
%   Added the \texttt{bibliography} extra field to the style files
%   of the Masaryk University in Brno, Czech Republic}
% The following extra data field is defined for the macro:
% \begin{itemize}
%   \item|bibliography| -- the comma-delimited list of key-value
%     pairs accepted by |\thesis@bibliography@setup|. If the data
%     field was specified, it is immediately passed to
%     |\thesis@bibliography@setup| and it overrides any defaults
%     specified in faculty style files.
% \end{itemize}
%    \begin{macrocode}
\thesis@def@extra[]{bibliography}
\ifx\thesis@extra@bibliography
    \thesis@placeholder@extra@bibliography\else
  \expandafter\thesis@bibliography@setup\expandafter{%
    \thesis@extra@bibliography}%
\fi
%    \end{macrocode}
% \end{macro}
% \begin{macro}{\thesis@bibliography@load}
% When |\ifthesis@bibliography@| is true and
% |\ifthesis@bibliography@loaded@| is false, the
% |\thesis@bibliography@load| macro loads the \textsf{csquotes} and
% Bib\LaTeX\ packages with the bibliography databases specified in
% |\thesis@bibFiles|. The macro also sets the
% \DescribeMacro{\thesis@bibliography@loaded}^^A
% |\ifthesis@bibliography@loaded@| conditional to true.
%    \begin{macrocode}
\newif\ifthesis@bibliography@loaded@
  \thesis@bibliography@loaded@false
\newif\ifthesis@bibliography@included@
  \thesis@bibliography@included@false
\def\thesis@bibliography@load{%
  \ifthesis@bibliography@
    \ifthesis@bibliography@loaded@\else
      \thesis@bibliography@loaded@true
      % Load csquotes and BibLaTeX.
      \thesis@require{csquotes}
%    \end{macrocode}
% If |\thesis@bibliography@style| is undefined, the bibliography
% and citation styles default to |iso-numeric|. If
% |\thesis@bibliography@sorting| is undefined, the sorting scheme
% defaults to |none|.
%    \begin{macrocode}
      \thesis@bibliography@setup{
        style = iso-numeric,
        sorting = none}
      % FIXME: This is a hotfix for biblatex.
      % It should be removed after v3.17 has been released.
      % See https://tex.stackexchange.com/a/581469/70941.
      \thesis@require{expl3}
      \thesis@require[
        backend=biber,
        style=\thesis@bibliography@style,
        sorting=\thesis@bibliography@sorting,
        autolang=other,
        sortlocale=auto]{biblatex}
      % Load the bibliography databases.
      {\edef\@bibList{\thesis@bibFiles}%
      \def\@inject##1,{%
        \def\@args{##1}\def\@relax{\relax}%
        \ifx\@args\@relax\else
          % Trim leading spaces.
          \edef\@trimmed{\romannumeral-`\.##1}%
          \addbibresource\@trimmed
          \expandafter\@inject\fi}%
      \expandafter\@inject\@bibList,\relax,}%
%    \end{macrocode}
% \begin{macro}{\ifthesis@bibliography@included@}
% The |\ifthesis@bibliography@included@| conditional is true, when
% the user has manually included a bibliography into their
% document. The default value of the conditional is false and
% |\printbibliography| is patched to set the conditional to true on
% expansion. This enables the user to place the bibliography
% manually without it appearing in the autolayout. The original
% macro is stored in the
% \DescribeMacro{\thesis@printbibliography@old}^^A
% |\thesis@printbibliography@old| macro.
%    \begin{macrocode}
      \let\thesis@printbibliography@old\printbibliography
      \def\printbibliography{%
        \global\thesis@bibliography@included@true
        \thesis@printbibliography@old}
    \fi
  \fi}
%    \end{macrocode}
% \end{macro} ^^A The nested \ifthesis@bibliography@included@ def
% \end{macro} ^^A The \thesis@bibliography@load macro definition
% In the digital version, the \textsf{hyperref} package is configured to
% decorate hyperlinks with an underline instead of a rectangular box.
% In the printed version, the \textsf{hyperref} package is configured to
% hide links.
% \changes{v0.3.51}{2018/12/25}{^^A
%   In the printed version, the \textsf{hyperref} package is configured to
%   hide links. [VN]}
%    \begin{macrocode}
\thesis@require{hyperref}
\ifthesis@digital@
  \hypersetup{pdfborderstyle={/S/U/W 1}}
\else
  \hypersetup{hidelinks}
\fi
%    \end{macrocode}
% Clubs and widows are set to be infinitely bad.
%    \begin{macrocode}
\widowpenalty 10000
\clubpenalty  10000
%    \end{macrocode}
% \begin{macro}{\thesis@color@setup}
% The file defines the |\thesis@color@setup|\marg{colors} command,
% where \textit{colors} is a comma-delimited list of key-value
% pairs as defined by the \textsf{keyval} package. The command can
% be invoked either by the subsequently loaded style files or by
% the user to define which colors will be used, when the
% \texttt{color} option is specified.
%    \begin{macrocode}
\def\thesis@color@setup#1{%
  \setkeys{thesis@color}{#1}}
%    \end{macrocode}
% \end{macro}
% The following key-value pairs are supported:
% \begin{enumerate}
%   \item\marg{\texttt{links}=color} -- Sets the color of hyperref
%     links to \textit{color} and stores it under the name
%     \texttt{thesis@color@links}. The default color of links is
%     specified by the \textsf{hyperref} package.
%   \item\marg{\texttt{secondary}=color} -- Stores the secondary
%     color that is used with the bold type face under the name
%     \texttt{thesis@color@secondary}.  The default secondary color
%     for the Masaryk University is RGB 0, 0, 220.
%   \changes{v1.0.0}{2018/11/18}{^^A
%     The \cs{bfseries} command switches to the sans serif typeface
%     and to the secondary color in the style files of the Masaryk
%     University in Brno, Czech Republic. [VN]}
%   \item\marg{\texttt{tableOdd}=color} -- Stores the color of the
%     odd rows of the redefined \texttt{tabular} and
%     \texttt{tabularx} environments under the name
%     \texttt{thesis@color@tableOdd}.
%   \item\marg{\texttt{tableEven}=color} -- Stores the color of the
%     even rows of the redefined \texttt{tabular} and
%     \texttt{tabularx} environments under the name
%     \texttt{thesis@color@tableEven}.
%   \item\marg{\texttt{tableEmph}=color} -- Stores the color of an
%     emphasized cell in a table user under the name
%     \texttt{thesis@color@tableEmph}. This color is meant to be
%     used manually by the user.
% \end{enumerate}
%    \begin{macrocode}
\define@key{thesis@color}{links}{%
  \definecolor{thesis@color@links}#1
  \hypersetup{linkbordercolor=thesis@color@links}}
\define@key{thesis@color}{secondary}{%
  \definecolor{thesis@color@secondary}#1}
\thesis@color@setup{secondary={RGB}{0, 0, 220}}
\define@key{thesis@color}{tableOdd}{%
  \definecolor{thesis@color@tableOdd}#1}
\define@key{thesis@color}{tableEven}{%
  \definecolor{thesis@color@tableEven}#1}
\define@key{thesis@color}{tableEmph}{%
  \definecolor{thesis@color@tableEmph}#1}
%    \end{macrocode}
% \changes{v1.0.0}{2018/11/18}{^^A
%   The \cs{bfseries} command switches to the sans serif typeface
%   and to the secondary color in the style files of the Masaryk
%   University in Brno, Czech Republic. [VN]}
% The |\bfseries| macro is redefined to switch to the sans serif
% type face (conditional on \cs{ifthesis@sansbold@}) in the secondary color.
% The original definition of |\bfseries| is stored in the
% \DescribeMacro{\thesis@bfseries@old}|\thesis@bfseries@old|
% macro.
% \changes{v1.1.0}{2022/08/02}{^^A
%   Added the \texttt{sansbold} and \texttt{nosansbold} package options
%   for the Masaryk University in Brno. [VN]}
% \changes{v1.1.0}{2022/08/15}{^^A
%   Added the \texttt{colorbold} and \texttt{nocolorbold} package 
%   options for the Masaryk University in Brno. [TV]}
% \changes{v1.1.1}{2024/03/06}{^^A
%   Only apply the \texttt{colorbold} package option if the \texttt{color}
%   package option is also enabled. [VN]}
% \begin{macrocode}
\let\thesis@bfseries@old\bfseries
\def\bfseries{%
  \ifthesis@sansbold@\sffamily\fi
  \ifthesis@color@\ifthesis@colorbold@\color{thesis@color@secondary}\fi\fi
  \thesis@bfseries@old}
%    \end{macrocode}
% The file defines several blocks to be used in the redefinitions
% of the |\thesis@blocks@preamble| and |\thesis@blocks@postamble|
% macros by the subsequently loaded style files.
%
% \begin{macro}{\thesis@blocks@coverMatter}
% The |\thesis@blocks@coverMatter| macro sets up the style
% of the cover and the title page of the thesis. This amounts
% to disabling the page numbering, so that hyperref links do not
% point to the cover page and the title page instead of the
% initial pages of the main matter.
% \begin{macrocode}
\def\thesis@blocks@coverMatter{%
  \pagenumbering{gobble}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@frontMatter}
% The |\thesis@blocks@frontMatter| macro sets up the style
% of the front matter of the thesis.
% \begin{macrocode}
\def\thesis@blocks@frontMatter{%
  \thesis@blocks@clear
  \pagestyle{plain}
  \parindent 1.5em
  \setcounter{page}{1}
  \pagenumbering{roman}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@clear}
% The |\thesis@blocks@clear| macro clears the current page.
% It also clears the next left-hand (even-numbered) page, when
% double-sided typesetting is enabled.
% \changes{v0.3.45}{2017/05/24}{\cs{thesis@blocks@clear} now only
%   sets the pagestyle to |empty|, when there is a left-hand
%   (even-numbered) page to clear. [VN]}
%    \begin{macrocode}
% \begin{macrocode}
\def\thesis@blocks@clear{%
  \ifthesis@twoside@
    \clearpage
    \ifodd\value{page}\else%
      \thispagestyle{empty}%
      \hbox{}%
      \newpage
    \fi
  \else
    \newpage
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@clearRight}
% The |\thesis@blocks@clearRight| macro clears the current
% page. It also clears the next right-hand (odd-numbered) page,
% when double-sided typesetting is enabled.
% \begin{macrocode}
\def\thesis@blocks@clearRight{%
  \ifthesis@twoside@
    \clearpage
    \ifodd\value{page}%
      \thispagestyle{empty}%
      \hbox{}%
      \newpage
    \fi
  \else
    \newpage
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@logo}
% The |\thesis@blocks@logo|\marg{pathname}\marg{options} macro
% typesets the \textit{pathname} logo with the given
% \textit{options} passed to |\includegraphics|.
% \changes{v1.0.0}{2021/04/24}{^^A
%   Change \cs{thesis@facultyLogo},
%   \cs{thesis@blocks@facultyLogo@monochrome}, and
%   \cs{thesis@blocks@facultyLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. Add \cs{thesis@blocks@seal}. [VN]}
% \begin{macrocode}
\newcommand{\thesis@blocks@logo}[2]{{%
  \let\@logowidth\relax\newlength\@logowidth
  \let\@logoheight\relax\newlength\@logoheight
  \settowidth\@logowidth{\includegraphics[#2]{#1}}%
  \settoheight\@logoheight{\includegraphics[#2]{#1}}%
  \def\@maxwidth##1{\ifdim\@logowidth>##1 ##1\else\@logowidth\fi}
  \def\@maxheight##1{\ifdim\@logoheight>##1 ##1\else\@logoheight\fi}
  \includegraphics[width=\@maxwidth{6.3cm}, height=\@maxheight{4cm},
    keepaspectratio, #2]{#1}}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@facultyLogo@monochrome}
% The |\thesis@blocks@facultyLogo@monochrome|\oarg{options} 
% macro typesets the |\thesis@logopath\thesis@facultyLogo| logo
% with the given \textit{options} passed to |\includegraphics|.
% \changes{v1.0.0}{2021/04/24}{^^A
%   Change \cs{thesis@facultyLogo},
%   \cs{thesis@blocks@facultyLogo@monochrome}, and
%   \cs{thesis@blocks@facultyLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. Add \cs{thesis@blocks@seal}. [VN]}
% \begin{macrocode}
\newcommand{\thesis@blocks@facultyLogo@monochrome}[1]%
  [scale=0.95]{{%
    \edef\@path{\thesis@logopath\thesis@facultyLogo}%
    \expandafter\thesis@blocks@logo\expandafter{\@path}{#1}}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@facultyLogo@color}
% The |\thesis@blocks@facultyLogo@color|\oarg{options} 
% macro typesets either the |\thesis@logopath\thesis@facultyLogo|
% logo, if the |\ifthesis|\discretionary{}{}{}|@color@| conditional
% is \texttt{false}, or the
% |\thesis@logopath\thesis@facultyLogo-color| logo
% otherwise with the given \textit{options} passed to
% |\includegraphics|.
% \changes{v1.0.0}{2021/04/24}{^^A
%   Change \cs{thesis@facultyLogo},
%   \cs{thesis@blocks@facultyLogo@monochrome}, and
%   \cs{thesis@blocks@facultyLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. Add \cs{thesis@blocks@seal}. [VN]}
% \begin{macrocode}
\newcommand{\thesis@blocks@facultyLogo@color}[1]%
  [scale=0.95]{{%
    \edef\@path{\thesis@logopath\thesis@facultyLogo
      \ifthesis@color@-color\fi}%
    \expandafter\thesis@blocks@logo\expandafter{\@path}{#1}}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@universityLogo@monochrome}
% The |\thesis@blocks@universityLogo@monochrome|\oarg{options}
% macro typesets the
% |\thesis@logopath\thesis@universityLogo| logo
% with the given \textit{options} passed to |\includegraphics|.
% \changes{v1.0.0}{2021/03/19}{^^A
%   Change \cs{thesis@universityLogo},
%   \cs{thesis@blocks@universityLogo@monochrome}, and
%   \cs{thesis@blocks@universityLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. [VN]}
% \begin{macrocode}
\newcommand{\thesis@blocks@universityLogo@monochrome}[1]%
  [scale=0.9]{{%
    \edef\@path{\thesis@logopath\thesis@universityLogo}%
    \expandafter\thesis@blocks@logo\expandafter{\@path}{#1}}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@universityLogo@color}
% The |\thesis@blocks@universityLogo@color|\oarg{options} 
% macro typesets either the |\thesis@logopath\thesis@universityLogo|
% logo, if the |\ifthesis|\discretionary{}{}{}|@color@| conditional
% is \texttt{false}, or the
% |\thesis@logopath\thesis@universityLogo|\discretionary{}{}{}|-color|
% logo otherwise with the given \textit{options} passed to
% |\includegraphics|.
% \changes{v1.0.0}{2021/03/19}{^^A
%   Change \cs{thesis@universityLogo},
%   \cs{thesis@blocks@universityLogo@monochrome}, and
%   \cs{thesis@blocks@universityLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. [VN]}
% \begin{macrocode}
\newcommand{\thesis@blocks@universityLogo@color}[1]%
  [scale=0.9]{{%
    \edef\@path{\thesis@logopath\thesis@universityLogo
      \ifthesis@color@-color\fi}%
    \expandafter\thesis@blocks@logo\expandafter{\@path}{#1}}}
%    \end{macrocode}
% The |\thesis@department@name| and |\thesis@field@name| macros and
% their English counterparts provide a level of indirection that
% allows the subsequently loaded style files to parse the values of
% |\thesis@department| and |\thesis@field| (and their English
% counterparts) and map them to human-readable names, which will
% then be typeset.
% \begin{macrocode}
\let\thesis@department@name\thesis@department
\let\thesis@departmentEn@name\thesis@departmentEn
\let\thesis@field@name\thesis@field
\let\thesis@fieldEn@name\thesis@fieldEn
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@cover}
% \changes{v1.0.0}{2021/04/23}{^^A
%    The macro is no longer composed of three macros. [TV]}
% The |\thesis@blocks@cover| macro typesets the thesis
% cover.
% \changes{v1.0.0}{2018/11/18}{^^A
%   The \cs{bfseries} command switches to the sans serif typeface
%   and to the secondary color in the style files of the Masaryk
%   University in Brno, Czech Republic. [VN]}
% \begin{macrocode}
\def\thesis@blocks@cover{%
  \ifthesis@cover@
    \thesis@blocks@clear
    \begin{alwayssingle}%
      \colorlet{thesis@color@secondary}{black}%
      \thispagestyle{empty}%
      \begin{center}%
        \thesis@blocks@universityLogo@monochrome\par
        \vspace{0.75cm}%
        {\sf\thesis@titlePage@large\thesis@@upper{facultyName}\par}%
        \vfill
%    \end{macrocode}
%   \changes{v1.1.0}{2022/08/17}{^^A
%     Typeset thesis title on cover and title pages in sans serif typeface. [VN]}
% \begin{macrocode}
        \begingroup
        \thesis@colorbold@true
        {\sffamily\bfseries\thesis@titlePage@Huge\thesis@TeXtitle\par}%
        \endgroup
        \vspace{1.5cm}%
        {\sf\thesis@titlePage@Large\thesis@@{typeName}\par}%
        \vspace{1.5cm}%
        {\sf\thesis@titlePage@LARGE\thesis@upper{author}\par}%
        \vfill\vfill\vfill\vfill
        {\sf\thesis@titlePage@large\thesis@place, \thesis@@{semester}\par}%
      \end{center}%
    \end{alwayssingle}%
  \fi}
%    \end{macrocode}
% \changes{v1.0.0}{2021/04/23}{Removed the header conditionals as the
%    covers are unified for all faculties and shouldn't need to be
%    modified. [TV]}
% \end{macro}
% \begin{macro}{\thesis@blocks@advisorSignature}
% The |\thesis@blocks@advisorSignature| macro produces space for
% the thesis advisor's signature.
% \changes{v1.0.0}{2021/02/26}{^^A
%   The \cs{thesis@blocks@advisorSignature} macro is now defined
%   for styles of all faculties at the Masaryk University in Brno,
%   not just for the Faculty of Informatics, and is automatically
%   used in the \cs{thesis@blocks@titlePage} macro for rigorous
%   theses and PhD thesis proposals. [VN]}
% \begin{macrocode}
\def\thesis@blocks@advisorSignature{%
  \let\@A\relax\newlength{\@A}
    \settowidth{\@A}{\thesis@@{advisorSignature}}
    \setlength{\@A}{\@A+1cm}
  \hfill\raisebox{-0.5em}{\parbox{\@A}{
    \centering
    \rule{\@A}{1pt}\\
    \thesis@@{advisorSignature}
  }}}%
%    \end{macrocode}
% \end{macro}
% \begin{macro}{\thesis@blocks@titlePage}
% The |\thesis@blocks@titlePage| macro typesets the thesis
% title page.
% \changes{v1.0.0}{2018/11/18}{^^A
%   The \cs{bfseries} command switches to the sans serif typeface
%   and to the secondary color in the style files of the Masaryk
%   University in Brno, Czech Republic. [VN]}
% \changes{v1.0.0}{2021/02/26}{^^A
%   The \cs{thesis@blocks@titlePage} command no longer consists
%   of the \cs{thesis@blocks@titlePage@header},
%   \cs{thesis@blocks@titlePage@content}, and
%   \cs{thesis@blocks@titlePage@footer} macros, which are no
%   longer defined. [VN]}
% The output of the |\thesis@blocks@titlePage| macro is
% controlled by the following conditionals:
% \begin{enumerate}
%   \item|\ifthesis@blocks@titlePage@department@| -- This
%        conditional expression determines, whether the department
%        name is going to be included in the title page. The
%        default value of this conditional is \texttt{true}.
%   \changes{v1.0.0}{2021/02/26}{^^A
%     The \cs{ifthesis@blocks@titlePage@department@} conditional
%     now defaults to \texttt{true}. [VN]}
%   \item|\ifthesis@blocks@titlePage@field@| -- This
%        conditional expression determines, whether the field of
%        study is going to be included in the title page. The
%        default value of this conditional is \texttt{true}.
%   \changes{v1.0.0}{2021/02/26}{^^A
%     The \cs{ifthesis@blocks@titlePage@field@} conditional
%     now defaults to \texttt{true}. [VN]}
%   \changes{v1.0.0}{2021/02/26}{^^A
%     The \cs{ifthesis@blocks@titlePage@university@} and
%     \cs{ifthesis@blocks@titlePage@faculty@} conditionals
%     are no longer defined. [VN]}
%   \item|\ifthesis@blocks@titlePage@programme@| -- This
%        conditional expression determines, whether the study
%        programme is going to be included in the title page. The
%        default value of this conditional is \texttt{false}.
%   \changes{v1.0.0}{2021/02/26}{^^A
%     The \cs{ifthesis@blocks@titlePage@programme@} conditional
%     is now defined and defaults to \texttt{false}. [VN]}
% \end{enumerate}
% The sebsequently loaded style files can modify the value of these
% conditionals to alter the output of the
% |\thesis@blocks@titlePage| macro without altering its definition.
% \begin{macrocode}
\newif\ifthesis@blocks@titlePage@department@
\thesis@blocks@titlePage@department@true
\newif\ifthesis@blocks@titlePage@field@
\thesis@blocks@titlePage@field@true
\newif\ifthesis@blocks@titlePage@programme@
\thesis@blocks@titlePage@programme@true

\def\thesis@blocks@titlePage{%
  \thesis@blocks@clear
  \begin{alwayssingle}%
    \thispagestyle{empty}%
    \begin{center}%
      \thesis@blocks@universityLogo@color
      \par\vspace{0.75cm}%
      {\sf\thesis@titlePage@large\thesis@@upper{facultyName}\par}%
      \vfill
      \begingroup
      \thesis@colorbold@true
      {\sffamily\bfseries\thesis@titlePage@Huge\thesis@TeXtitle\par}%
      \endgroup
      \vspace{1.5cm}%
      {\sf\thesis@titlePage@Large\thesis@@{typeName}\par}%
      \vspace{1.5cm}%
%    \end{macrocode}
% \changes{v1.1.0}{2022/08/17}{^^A
%   Typeset thesis title on cover and title pages in sans serif typeface. [VN]}
% \changes{v1.1.1}{2023/03/06}{The field of study shows only if not empty. [TV]}
% \begin{macrocode}
      {\sf\thesis@titlePage@LARGE\thesis@upper{author}\par}%
      \vfill\vfill
      {\sf\thesis@titlePage@large\thesis@@{advisorTitle}: \thesis@advisor\par}%
      \vspace{0.75cm}%
      \ifthesis@blocks@titlePage@department@
        {\sf\thesis@titlePage@large\thesis@department@name\par}%
      \fi
      \ifthesis@blocks@titlePage@programme@
        \vspace{0.25cm}%
        {\sf\thesis@titlePage@large\thesis@@{bib@programme}: \thesis@programme\par}%
      \fi
      \ifthesis@blocks@titlePage@field@
        \ifx\thesis@field\empty\else
        \vspace{0.25cm}%
        {\sf\thesis@titlePage@large\thesis@@{fieldTitle}: \thesis@field@name\par}%
        \fi
      \fi
      \vfill
      {\sf\thesis@titlePage@large\thesis@place, \thesis@@{semester}%
%    \end{macrocode}
% If this is a rigorous thesis or a PhD thesis proposal, create
% space for the advisor's signature.
% \changes{v1.0.0}{2021/02/26}{^^A
%   The \cs{thesis@blocks@advisorSignature} macro is now defined
%   for styles of all faculties at the Masaryk University in Brno,
%   not just for the Faculty of Informatics, and is automatically
%   used in the \cs{thesis@blocks@titlePage} macro for rigorous
%   theses and PhD thesis proposals. [VN]}
% \begin{macrocode}
        \ifx\thesis@type\thesis@rigorous
          \thesis@blocks@advisorSignature
        \else\ifx\thesis@type\thesis@proposal
          \thesis@blocks@advisorSignature
        \fi\fi\par}%
    \end{center}%
  \end{alwayssingle}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@seal}
% The |\thesis@blocks@seal| macro typesets the seal of a faculty.
% \changes{v1.0.0}{2021/04/24}{^^A
%   Change \cs{thesis@facultyLogo},
%   \cs{thesis@blocks@facultyLogo@monochrome}, and
%   \cs{thesis@blocks@facultyLogo@color} to use the new logotype
%   of the Masaryk University in Brno in the correct size and
%   localization. Add \cs{thesis@blocks@seal}. [VN]}
% \begin{macrocode}
\def\thesis@blocks@seal{%
  \thesis@blocks@clear
    \begin{alwayssingle}%
      \thispagestyle{empty}%
      \begin{center}%
        \leavevmode
        \par\vfill
        \thesis@blocks@facultyLogo@color
        \par\vfill\vfill\vfill\vfill
      \end{center}%
    \end{alwayssingle}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@toc}
% The |\thesis@blocks@toc| macro typesets the table of contents.
% \begin{macrocode}
\def\thesis@blocks@toc{%
  \thesis@blocks@clear
  \tableofcontents}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@tables}
% The |\thesis@blocks@tables| macro typesets the table of
% contents and optionally the list of tables and the
% list of figures.
% \begin{macrocode}
\def\thesis@blocks@tables{%
  \thesis@blocks@toc
  \thesis@blocks@lot
  \thesis@blocks@lof}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@declaration}
% The |\thesis@blocks@declaration| macro typesets the
% declaration text.
% \begin{macrocode}
\def\thesis@blocks@declaration{%
  \thesis@blocks@clear
  \begin{alwayssingle}%
    \chapter*{\thesis@@{declarationTitle}}%
    \thesis@declaration
    \vskip 2cm%
    \hfill\thesis@author
  \end{alwayssingle}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@thanks}
% The |\thesis@blocks@thanks| macro typesets the
% acknowledgements, if the |\thesis@thanks| macro is
% defined. Otherwise, the macro produces no output.
% \begin{macrocode}
\def\thesis@blocks@thanks{%
  \ifx\thesis@thanks\undefined\else
    \thesis@blocks@clear
    \begin{alwayssingle}%
      \chapter*{\vspace*{\fill}\thesis@@{thanksTitle}}%
      \leavevmode\thesis@thanks
    \end{alwayssingle}%
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@abstract}
% The |\thesis@blocks@abstract| macro typesets the
% abstract.
% \changes{v1.0.0}{2021/03/05}{Changed \texttt{clearpage}
% to \texttt{vskip} so it is by default on the same page
% when the template contains bibEntry. [TV]}
% \begin{macrocode}
\def\thesis@blocks@abstract{%
  \begin{alwayssingle}%
    \vskip 40 \p@
    {\let\thesis@blocks@clear\relax
    \chapter*{\thesis@@{abstractTitle}}}%
    \noindent\thesis@abstract
    \par\vfil\null
  \end{alwayssingle}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@abstractEn}
% The |\thesis@blocks@abstractEn| macro typesets the
% abstract in English. If the current locale is English, the
% macro produces no output.
% \changes{v0.3.46}{2017/06/02}{Simplified the definition of
%   \cs{thesis@blocks@abstractEn} in
%   \texttt{style/mu/fithesis-base.sty}. [VN]}
% \changes{v1.0.0}{2021/03/05}{Changed \texttt{clearpage}
% to \texttt{vskip} so it is by default on the same page
% when the template contains bibEntry. [TV]}
% \begin{macrocode}
\def\thesis@blocks@abstractEn{%
  \ifthesis@english\else
    {\thesis@selectLocale{english}%
    \begin{alwayssingle}%
      \vskip 40 \p@
      {\let\thesis@blocks@clear\relax
      \chapter*{\thesis@english@abstractTitle}}%
      \noindent\thesis@abstractEn
      \par\vfil\null
    \end{alwayssingle}}%
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@keywords}
% The |\thesis@blocks@keywords| macro typesets the
% keywords.
% \changes{v1.0.0}{2021/03/22}{Redefined keywords, keywordsEn
%   macros so they by default start on the same page as the
%   the previous element and are in the lower part of the page.
%   [TV]}
% \changes{v1.1.1}{2024/03/06}{Typeset \cs{thesis@TeXkeywords},
%   not \cs{thesis@keywords}. [VN]}
% \begin{macrocode}
\def\thesis@blocks@keywords{%
  \begin{alwayssingle}%
    {\let\thesis@blocks@clear\relax%
    \chapter*{\vspace*{\fill}\thesis@@{keywordsTitle}}}%
    \noindent\leavevmode\thesis@TeXkeywords
  \end{alwayssingle}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@keywordsEn}
% The |\thesis@blocks@keywordsEn| macro typesets the
% keywords in English. If the current locale is English, the
% macro produces no output.
% \changes{v0.3.46}{2017/06/02}{Simplified the definition of
%   \cs{thesis@blocks@keywordsEn} in
%   \texttt{style/mu/fithesis-base.sty}. [VN]}
% \changes{v1.1.1}{2024/03/06}{Typeset \cs{thesis@TeXkeywords},
%   not \cs{thesis@keywords}. [VN]}
% \begin{macrocode}
\def\thesis@blocks@keywordsEn{%
  \ifthesis@english\else
    {\thesis@selectLocale{english}%
    \begin{alwayssingle}%
      {\let\thesis@blocks@clear\relax%
      \chapter*{\vspace*{\fill}\thesis@english@keywordsTitle}}%
      \noindent\leavevmode\thesis@TeXkeywordsEn
    \end{alwayssingle}}%
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@rewind}
% The |\thesis@rewind| macro rewinds the page numbers by either one
% or two pages, depending on whether one-side or two-side
% typesetting is enabled, respectively.
% \begin{macrocode}
\def\thesis@rewind{%
  \addtocounter{page}{-\ifthesis@twoside@2\else1\fi}}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@assignment}
% The |\thesis@blocks@assignment| macro produces a different output
% depending on the values of the |\thesis@assignmentFiles|.
% |\ifthesis@blocks@assignment@|,
% |\ifthesis@blocks@assignment@hideIfDigital@|, and
% |\ifthesis@digital| macros.
%
% The default value of the
% \DescribeMacro{\ifthesis@blocks@assignment@}^^A
% |\ifthesis@blocks@assignment@| and
% \DescribeMacro{\ifthesis@blocks@assignment@hideIfDigital}^^A
% |\ifthesis@blocks@assignment@hideIfDigital@| conditionals is
% \texttt{true}.
% \begin{macrocode}
\newif\ifthesis@blocks@assignment@
\thesis@blocks@assignment@true
\newif\ifthesis@blocks@assignment@hideIfDigital@
\thesis@blocks@assignment@hideIfDigital@true
\def\thesis@blocks@assignment{%
%    \end{macrocode}
% If the |\ifthesis@blocks@assignment@| conditional is
% \textsf{true} and the |\thesis@assignmentFiles| macro is
% undefined, then typeset a placeholder page.
% \begin{macrocode}
  \ifthesis@blocks@assignment@
    \ifx\thesis@assignmentFiles\undefined
      % Rewind the pages and typeset a placeholder page.
      \thesis@blocks@clear
      \begin{alwayssingle}%
        \thispagestyle{empty}\thesis@rewind
        \noindent\textit{\thesis@@{assignment}}%
      \end{alwayssingle}%
    \else
%    \end{macrocode}
% Locally define \DescribeMacro{\@inject}|\@inject| as our routine
% for injecting lists of PDF documents.
% \begin{macrocode}
      {\edef\@pdfList{\thesis@assignmentFiles}%
      \let\ea\expandafter
      % Injects the specified PDF documents.
      \def\@inject##1,{\thesis@blocks@clear
        \def\@args{##1}\def\@relax{\relax}%
        \ifx\@args\@relax\else
          % Trim leading spaces.
          \edef\@trimmed{\romannumeral-`\.##1}%
          % Rewind the pages and include the PDF.
          \thesis@rewind\includepdf[pages=-]\@trimmed
          \ea\@inject\fi}%
%    \end{macrocode}
% If the |\ifthesis@blocks@assignment@| conditional is
% \textsf{true} and the |\thesis@assignmentFiles| macro is neither
% undefined nor empty, then typeset a placeholder page, if the
% |\ifthesis@digital@| conditional is \textsf{true} and the
% |\ifthesis@blocks@assignmane@hideIfDigital@| conditional is
% \textsf{true}
% \begin{macrocode}
      \ifx\@pdfList\empty\else
        \ifthesis@digital@
          \ifthesis@blocks@assignment@hideIfDigital@
            \thesis@blocks@clear
            \begin{alwayssingle}%
              \thispagestyle{empty}\thesis@rewind
              \noindent\textit{\thesis@@{assignment}}%
            \end{alwayssingle}%
%    \end{macrocode}
% If the |\ifthesis@blocks@assignment@| conditional is
% \textsf{true} and the |\thesis@assignmentFiles| macro is neither
% undefined nor empty, then inject the PDF documents specified in
% the |\thesis@assignmentFiles|, if the |\ifthesis@digital@|
% conditional is \textsf{false} or the
% |\ifthesis@blocks@assignment@hideIfDigital@| conditional is
% \textsf{false}.
% \begin{macrocode}
          \else
            \ea\@inject\@pdfList,\relax,%
          \fi
        \else
          \ea\@inject\@pdfList,\relax,%
        \fi
      \fi}%
    \fi
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@mainMatter}
% The |\thesis@blocks@mainMatter| macro sets up the style
% of the main matter of the thesis.
% \begin{macrocode}
\def\thesis@blocks@mainMatter{%
  \thesis@blocks@clear
  \setcounter{page}{1}
  \pagenumbering{arabic}
  \pagestyle{thesisheadings}
  \parindent 1.5em\relax}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@bibEntry@pagetotal}
% The |\thesis@blocks@bibEntry@pageTotal| macro typeset the total number of
% pages in the thesis in the format required by the bibliographic entry.
% \changes{v1.1.1}{2024/03/06}{Add the \cs{thesis@blocks@bibEntry@pagetotal}
%   command for the Masaryk University in Brno. [TV, VN]}
% \begin{macrocode}
\def\thesis@blocks@bibEntry@pagetotal{%
  \thesis@pages@preamble{} + \thesis@pages}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@bibEntry}
% The |\thesis@blocks@bibEntry| macro typesets a bibliographical
% entry. Along with the macros required by the locale file
% interface, the \textit{locale} files need to define the following
% strings:
% \begin{itemize}
%   \item\texttt{bib@title} -- The title of the entire block
%   \item\texttt{bib@pages} -- The abbreviation of pages used in
%     the bibliographical entry
% \end{itemize}
% \changes{v1.0.0}{2021/03/04}{The \cs{thesis@blocks@bibEntry} command
%   was expanded to more closely resemble Faculty of Science's bibEntry.
%   The \cs{thesis@blocks@bibEntryEn} was added. [TV]}
% \changes{v1.1.1}{2024/03/06}{If the \cs{thesis@field} key is empty string, 
%   the bibEntry field of study row does not appear. [TV]}
%    \begin{macrocode}
\def\thesis@blocks@bibEntry{%
  \thesis@blocks@clear
  \chapter*{\thesis@@{bib@title}}
  {% Calculate the width of the columns
  \let\@A\relax\newlength{\@A}\settowidth{\@A}{{%
    \bf\thesis@@{bib@author}:}}
  \let\@B\relax\newlength{\@B}\settowidth{\@B}{{%
    \bf\thesis@@{bib@thesisTitle}:}}
  \let\@C\relax\newlength{\@C}\settowidth{\@C}{{%
    \bf\thesis@@{bib@programme}:}}
  \let\@D\relax\newlength{\@D}\settowidth{\@D}{{%
    \bf\thesis@@{bib@field}:}}
  \let\@E\relax\newlength{\@E}
      \settowidth{\@E}{{\bf\thesis@@{bib@advisor}:}}
  \let\@F\relax\newlength{\@F}\settowidth{\@F}{{%
    \bf\thesis@@{bib@academicYear}:}}
  \let\@G\relax\newlength{\@G}\settowidth{\@G}{{%
    \bf\thesis@@{bib@pages}:}}
  \let\@H\relax\newlength{\@H}\settowidth{\@H}{{%
    \bf\thesis@@{bib@keywords}:}}
  \let\@skip\relax\newlength{\@skip}\setlength{\@skip}{16pt}
  \let\@left\relax\newlength{\@left}\pgfmathsetlength{\@left}{%
    max(\@A,\@B,\@C,\@D,\@E,\@F,\@G,\@H)}
  \let\@right\relax\newlength{\@right}\setlength{\@right}{%
    \textwidth-\@left-\@skip}
  % Typeset the table
  \noindent\begin{thesis@newtable@old}%
    {@{}p{\@left}@{\hskip\@skip}p{\@right}@{}}
    \textbf{\thesis@@{bib@author}%
    \ifthesis@english\else\ifthesis@woman ka\fi\fi:} &
      \noindent\parbox[t]{\@right}{
        \thesis@author\\
        \thesis@@{facultyName} \\
        \thesis@@{universityName}\\
        \thesis@department@name
      }\\
    \textbf{\thesis@@{bib@thesisTitle}:}
      & \thesis@title \\
    \textbf{\thesis@@{bib@programme}:}
      & \thesis@programme \\
    \ifx\thesis@field\empty\else
    \textbf{\thesis@@{bib@field}:}%
      & \thesis@field \\\fi
    \textbf{\thesis@@{bib@advisor}:}
      & \thesis@advisor \\
    \textbf{\thesis@@{bib@academicYear}:}
      & \thesis@academicYear \\
    \textbf{\thesis@@{bib@pages}:}
      & \thesis@blocks@bibEntry@pagetotal \\
    \textbf{\thesis@@{bib@keywords}:}
      & \thesis@TeXkeywords \\
  \end{thesis@newtable@old}}}
%    \end{macrocode} 
% \changes{v1.1.1}{2024/03/06}{If the \cs{thesis@fieldEn} key is empty string, 
%   the bibEntryEn field of study row does not appear. [TV]}
%    \begin{macrocode}
\def\thesis@blocks@bibEntryEn{%
  \ifthesis@english\else
  \thesis@blocks@clear
  \chapter*{\thesis@english@bib@title}
  {% Calculate the width of the columns
  \let\@A\relax\newlength{\@A}\settowidth{\@A}{{%
    \bf\thesis@english@bib@author:}}
  \let\@B\relax\newlength{\@B}\settowidth{\@B}{{%
    \bf\thesis@english@bib@thesisTitle:}}
  \let\@C\relax\newlength{\@C}\settowidth{\@C}{{%
    \bf\thesis@english@bib@programme:}}
  \let\@D\relax\newlength{\@D}\settowidth{\@D}{{%
    \bf\thesis@english@bib@field:}}
  \let\@E\relax\newlength{\@E}
      \settowidth{\@E}{{\bf\thesis@english@bib@advisor:}}
  \let\@F\relax\newlength{\@F}\settowidth{\@F}{{%
    \bf\thesis@english@bib@academicYear:}}
  \let\@G\relax\newlength{\@G}\settowidth{\@G}{{%
    \bf\thesis@english@bib@pages:}}
  \let\@H\relax\newlength{\@H}\settowidth{\@H}{{%
    \bf\thesis@english@bib@keywords:}}
  \let\@skip\relax\newlength{\@skip}\setlength{\@skip}{16pt}
  \let\@left\relax\newlength{\@left}\pgfmathsetlength{\@left}{%
    max(\@A,\@B,\@C,\@D,\@E,\@F,\@G,\@H)}
  \let\@right\relax\newlength{\@right}\setlength{\@right}{%
    \textwidth-\@left-\@skip}
  % Typeset the table
  \noindent\begin{thesis@newtable@old}%
    {@{}p{\@left}@{\hskip\@skip}p{\@right}@{}}
    \textbf{\thesis@english@authorTitle:} &
      \noindent\parbox[t]{\@right}{
        \thesis@author\\
        \thesis@english@facultyName \\
        \thesis@english@universityName\\
        \thesis@departmentEn@name
        }\\
    \textbf{\thesis@english@bib@thesisTitle:}
      & \thesis@titleEn \\
    \textbf{\thesis@english@bib@programme:}
      & \thesis@programmeEn \\
    \ifx\thesis@fieldEn\empty\else
    \textbf{\thesis@english@bib@field:}%
      & \thesis@fieldEn@name \\\fi
    \textbf{\thesis@english@bib@advisor:}
      & \thesis@advisor \\
    \textbf{\thesis@english@bib@academicYear:}
      & \thesis@academicYear \\
    \textbf{\thesis@english@bib@pages:}
      & \thesis@blocks@bibEntry@pagetotal \\
    \textbf{\thesis@english@bib@keywords:}
      & \thesis@TeXkeywordsEn \\
  \end{thesis@newtable@old}}
  \fi}
%    \end{macrocode}
% \end{macro}\begin{macro}{\thesis@blocks@bibliography}
% When |\ifthesis@bibliography@loaded@| is true and
% |\ifthesis@bibliography@included@| false, then the
% |\thesis@blocks@bibliography| macro typesets a bibliography via
% the Bib\LaTeX\ package. Otherwise, this macro produces no output.
%    \begin{macrocode}
\def\thesis@blocks@bibliography{%
  \ifthesis@bibliography@loaded@
    \ifthesis@bibliography@included@\else
      \thesis@blocks@clear
      {\emergencystretch=3em%
      \printbibliography[heading=bibintoc]}%
    \fi
  \fi}
%    \end{macrocode}
% \end{macro}
% The rest of the file comprises redefinitions of \LaTeX\ commands
% and private \texttt{rapport3} class macros altering the layout of
% the resulting document. Depending on the type size of 10, 11 or
% 12 points, either the \texttt{fithesis-mu-10.clo},
% \texttt{fithesis-mu-11.clo} or \texttt{fithesis-mu-12.clo} file is
% loaded from the |\thesis@stylepath| |mu| directory, respectively.
%    \begin{macrocode}
% Table of contents will contain sectioning commands up to
% \subsection.
\setcounter{tocdepth}{2}

% Sections up to \subsection will be numbered.
\setcounter{secnumdepth}{2}

%    \end{macrocode}
% \changes{v1.0.0}{2021/02/21}{Files were renamed after
%   breaking changes in package loading after PR 438 in \LaTeXe. [VN]}
%    \begin{macrocode}
% Load the `fithesis-mu-1*.clo` size option.
\input\thesis@stylepath mu/fithesis-mu-1\thesis@ptsize.clo\relax

% Define the running heading style.
\def\ps@thesisheadings{%
  \def\chaptermark##1{%
    \markright{%
      \ifnum\c@secnumdepth >\m@ne
        \thechapter.\ %
      \fi ##1}}
  \let\@oddfoot\@empty
  \let\@oddhead\@empty
  \def\@oddhead{%
    \vbox{%
      \hbox to \textwidth{%
      \hfil{\sc\rightmark}}%
      \vskip 4pt\hrule}}
  \if@twoside
    \def\@evenhead{%
      \vbox{%
        \hbox to \textwidth{%
          {\sc\rightmark}%
          \hfil}
        \vskip 4pt\hrule}}
  \else
    \let\@evenhead\@oddhead
  \fi
  \def\@oddfoot{\hfil\PageFont\thepage}
  \if@twoside
    \def\@evenfoot{\PageFont\thepage\hfil}%
  \else
    \let\@evenfoot\@oddfoot
  \fi
  \let\@mkboth\markboth}
%    \end{macrocode}
% \changes{v1.0.0}{2021/05/23}{Redefine all predefined page styles of the
%   backend class, so that they can't be accidentally activated. [VN]}
%    \begin{macrocode}
\let\ps@headings\ps@thesisheadings
\let\ps@myheadings\ps@thesisheadings

% Redefine the style of the chapter headings.
\renewcommand*\chapter{%
  \thesis@blocks@clear
  \thispagestyle{plain}%
  \global\@topnum\z@
  \@afterindentfalse
  \secdef\@chapter\@schapter}

% Redefine the style of part headings.
\renewcommand*\part{%
  \thesis@blocks@clear
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
  \hbox{}\vfil
  \secdef\@part\@spart}

% A macro for temporary multicol -> singlecol switching.
\newif\if@restonecol
\def\alwayssingle{%
  \@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn\fi}
\def\endalwayssingle{\if@restonecol\twocolumn\fi}

% Disable uppercasing in PDF strings.
\pdfstringdefDisableCommands{%
  \let\MakeUppercase\relax}

% Set up the ToC entries appearance.
\renewcommand*\toc@font[1]{%
  \ifcase #1\relax
    \bfseries % \chapter (0)
  \or
    \slshape  % \section (1)
  \else
    \rmfamily % \subsection (2), \subsubsection (3)
              % \paragraph, \subparagraph (4)
  \fi}

% Set up the table of contents entries for sectioning commands.
\renewcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty{-\@highpenalty}%
    \ifnum \c@tocdepth >0\relax
      \addvspace{2.25em \@plus\p@}%
    \else
      \addvspace{1.0em \@plus\p@}%
    \fi
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \normalfont \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
    \endgroup
  \fi}

\renewcommand*\l@chapter[2]{%
  \ifnum \c@tocdepth >0\relax
    \addpenalty{-\@highpenalty}%
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \else
    \@dottedtocline{0}{0em}{1.5em}{#1}{#2}
  \fi}

\renewcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\renewcommand*\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\renewcommand*\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\renewcommand*\l@paragraph{\@dottedtocline{4}{10.0em}{5.0em}}
\renewcommand*\l@subparagraph{\@dottedtocline{4}{12.0em}{6.0em}}
%    \end{macrocode}
% \changes{v1.0.0}{2021/03/04}{Styles for list of figures 
%   and list of tables were redefined to achieve 
%   unified look with toc. [TV]}
%    \begin{macrocode}
\renewcommand*\l@figure{\@dottedtocline{1}{0.5em}{2.3em}}
\renewcommand*\l@table{\@dottedtocline{1}{0.5em}{2.3em}}
%    \end{macrocode}
% \iffalse
%</base>
% \fi\file{style/mu/fithesis-10.clo}
% \changes{v1.0.0}{2021/02/21}{Files were renamed after
%   breaking changes in package loading after PR 438 in \LaTeXe. [VN]}
% This file is conditionally loaded by the
% \texttt{style/mu/base.sty} file to redefine the page geometry to
% match the type size of 10 points.
%    \begin{macrocode}
%<*opt>
%<*10pt>
\ProvidesFile{fithesis/style/mu/fithesis-mu-10.clo}[2021/02/21]

\renewcommand{\normalsize}{\fontsize\@xpt{12}\selectfont
\abovedisplayskip 10\p@ plus2\p@ minus5\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6\p@ plus3\p@ minus3\p@
\let\@listi\@listI}

\renewcommand{\small}{\fontsize\@ixpt{11}\selectfont
\abovedisplayskip 8.5\p@ plus3\p@ minus4\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2\p@
\belowdisplayshortskip 4\p@ plus2\p@ minus2\p@
\def\@listi{\leftmargin\leftmargini
\topsep 4\p@ plus2\p@ minus2\p@\parsep 2\p@ plus\p@ minus\p@
\itemsep \parsep}}

\renewcommand{\footnotesize}{\fontsize\@viiipt{9.5}\selectfont
\abovedisplayskip 6\p@ plus2\p@ minus4\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus\p@
\belowdisplayshortskip 3\p@ plus\p@ minus2\p@
\def\@listi{\leftmargin\leftmargini %% Added 22 Dec 87
\topsep 3\p@ plus\p@ minus\p@\parsep 2\p@ plus\p@ minus\p@
\itemsep \parsep}}

\renewcommand{\scriptsize}{\fontsize\@viipt{8pt}\selectfont}
\renewcommand{\tiny}{\fontsize\@vpt{6pt}\selectfont}
\renewcommand{\large}{\fontsize\@xiipt{14pt}\selectfont}
\renewcommand{\Large}{\fontsize\@xivpt{18pt}\selectfont}
\renewcommand{\LARGE}{\fontsize\@xviipt{22pt}\selectfont}
\renewcommand{\huge}{\fontsize\@xxpt{25pt}\selectfont}
\renewcommand{\Huge}{\fontsize\@xxvpt{30pt}\selectfont}

%</10pt>
%    \end{macrocode}
% \file{style/mu/fithesis-11.clo}
% \changes{v1.0.0}{2021/02/21}{Files were renamed after
%   breaking changes in package loading after PR 438 in \LaTeXe. [VN]}
% This file is conditionally loaded by the
% \texttt{style/mu/base.sty} file to redefine the page geometry to
% match the type size of 11 points.
%    \begin{macrocode}
%<*11pt>
\ProvidesFile{fithesis/style/mu/fithesis-mu-11.clo}[2021/02/21]

\renewcommand{\normalsize}{\fontsize\@xipt{14}\selectfont
\abovedisplayskip 11\p@ plus3\p@ minus6\p@
\belowdisplayskip \abovedisplayskip
\belowdisplayshortskip  6.5\p@ plus3.5\p@ minus3\p@
% \abovedisplayshortskip  \z@ plus3\@p
\let\@listi\@listI}

\renewcommand{\small}{\fontsize\@xpt{12}\selectfont
\abovedisplayskip 10\p@ plus2\p@ minus5\p@ 
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6\p@ plus3\p@ minus3\p@
\def\@listi{\leftmargin\leftmargini
\topsep 6\p@ plus2\p@ minus2\p@\parsep 3\p@ plus2\p@ minus\p@
\itemsep \parsep}}

\renewcommand{\footnotesize}{\fontsize\@ixpt{11}\selectfont
\abovedisplayskip 8\p@ plus2\p@ minus4\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus\p@ 
\belowdisplayshortskip 4\p@ plus2\p@ minus2\p@
\def\@listi{\leftmargin\leftmargini
\topsep 4\p@ plus2\p@ minus2\p@\parsep 2\p@ plus\p@ minus\p@
\itemsep \parsep}}

\renewcommand{\scriptsize}{\fontsize\@viiipt{9.5pt}\selectfont}
\renewcommand{\tiny}{\fontsize\@vipt{7pt}\selectfont}
\renewcommand{\large}{\fontsize\@xiipt{14pt}\selectfont}
\renewcommand{\Large}{\fontsize\@xivpt{18pt}\selectfont}
\renewcommand{\LARGE}{\fontsize\@xviipt{22pt}\selectfont}
\renewcommand{\huge}{\fontsize\@xxpt{25pt}\selectfont}
\renewcommand{\Huge}{\fontsize\@xxvpt{30pt}\selectfont}

%</11pt>
%    \end{macrocode}
% \file{style/mu/fithesis-12.clo}
% \changes{v1.0.0}{2021/02/21}{Files were renamed after
%   breaking changes in package loading after PR 438 in \LaTeXe. [VN]}
% This file is conditionally loaded by the
% \texttt{style/mu/base.sty} file to redefine the page geometry to
% match the type size of 12 points. The type dimensions defined by
% the file are stored in the following macros as well:
% \begin{itemize}
%  \item\DescribeMacro{\thesis@titlePage@normalsize}%
%    |\thesis@titlePage@normalsize| -- Equivalent to |\normalsize|
%  \item\DescribeMacro{\thesis@titlePage@small}%
%    |\thesis@titlePage@small| -- Equivalent to |\small|
%  \item\DescribeMacro{\thesis@titlePage@footnotesize}%
%    |\thesis@titlePage@footnotesize| -- Equivalent to
%    |\footnotesize|
%  \item\DescribeMacro{\thesis@titlePage@scriptsize}%
%    |\thesis@titlePage@scriptsize| -- Equivalent to |\scriptsize|
%  \item\DescribeMacro{\thesis@titlePage@tiny}%
%    |\thesis@titlePage@tiny| -- Equivalent to |\tiny|
%  \item\DescribeMacro{\thesis@titlePage@large}%
%    |\thesis@titlePage@large| -- Equivalent to |\large|
%  \item\DescribeMacro{\thesis@titlePage@Large}%
%    |\thesis@titlePage@Large| -- Equivalent to |\Large|
%  \item\DescribeMacro{\thesis@titlePage@LARGE}%
%    |\thesis@titlePage@LARGE| -- Equivalent to |\LARGE|
%  \item\DescribeMacro{\thesis@titlePage@huge}%
%    |\thesis@titlePage@huge| -- Equivalent to |\huge|
%  \item\DescribeMacro{\thesis@titlePage@Huge}%
%    |\thesis@titlePage@Huge| -- Equivalent to |\Huge|
% \end{itemize}
% These macros can be used to typeset elements whose size
% should remain constant regardless of the font size setting.
%    \begin{macrocode}
%<*12pt>
\ProvidesFile{fithesis/style/mu/fithesis-mu-12.clo}[2021/02/21]
%</12pt>

\def\thesis@titlePage@normalsize{\fontsize\@xiipt{14.5}%
\selectfont\abovedisplayskip 12\p@ plus3\p@ minus7\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6.5\p@ plus3.5\p@ minus3\p@
\let\@listi\@listI}

\def\thesis@titlePage@small{\fontsize\@xipt{13.6}\selectfont
\abovedisplayskip 11\p@ plus3\p@ minus6\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6.5\p@ plus3.5\p@ minus3\p@
\def\@listi{\leftmargin\leftmargini %% Added 22 Dec 87
\parsep 4.5\p@ plus2\p@ minus\p@
            \itemsep \parsep
            \topsep 9\p@ plus3\p@ minus5\p@}}

\def\thesis@titlePage@footnotesize{\fontsize\@xpt{12}\selectfont
\abovedisplayskip 10\p@ plus2\p@ minus5\p@
\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip  \z@ plus3\p@
\belowdisplayshortskip  6\p@ plus3\p@ minus3\p@
\def\@listi{\leftmargin\leftmargini %% Added 22 Dec 87
\topsep 6\p@ plus2\p@ minus2\p@\parsep 3\p@ plus2\p@ minus\p@
\itemsep \parsep}}
            
\def\thesis@titlePage@scriptsize{\fontsize\@viiipt{9.5pt}\selectfont}
\def\thesis@titlePage@tiny{\fontsize\@vipt{7pt}\selectfont}
\def\thesis@titlePage@large{\fontsize\@xivpt{18pt}\selectfont}
\def\thesis@titlePage@Large{\fontsize\@xviipt{22pt}\selectfont}
\def\thesis@titlePage@LARGE{\fontsize\@xxpt{25pt}\selectfont}
\def\thesis@titlePage@huge{\fontsize\@xxvpt{30pt}\selectfont}
\def\thesis@titlePage@Huge{\fontsize\@xxvpt{30pt}\selectfont}

%<*12pt>
\renewcommand{\normalsize}{\thesis@titlePage@normalsize}
\renewcommand{\small}{\thesis@titlePage@small}
\renewcommand{\footnotesize}{\thesis@titlePage@footnotesize}
\renewcommand{\scriptsize}{\thesis@titlePage@scriptsize}
\renewcommand{\tiny}{\thesis@titlePage@tiny}
\renewcommand{\large}{\thesis@titlePage@large}
\renewcommand{\Large}{\thesis@titlePage@Large}
\renewcommand{\LARGE}{\thesis@titlePage@LARGE}
\renewcommand{\huge}{\thesis@titlePage@huge}
\renewcommand{\Huge}{\thesis@titlePage@Huge}
%</12pt>
\let\@normalsize\normalsize
\normalsize

\if@twoside               
   \oddsidemargin 0.75in  
   \evensidemargin 0.4in  
\else                     
   \oddsidemargin 0.75in  
   \evensidemargin 0.75in
\fi
%    \end{macrocode}
% \changes{v1.1.0}{2022/04/19}{Add space for margin notes. [VN]}
%    \begin{macrocode}
\marginparwidth 2.75cm
\marginparsep 10pt        

\topmargin 0.4in          
                          
\headheight 20pt          
\headsep 10pt             
\topskip 10pt    
\footskip 30pt 

%<*10pt>
\textheight = 43\baselineskip
\advance\textheight by \topskip
\textwidth 5.0truein
\columnsep 10pt       
\columnseprule 0pt

\footnotesep 6.65pt
\skip\footins 9pt plus 4pt minus 2pt
\floatsep 12pt plus 2pt minus 2pt
\textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt
\dblfloatsep 12pt plus 2pt minus 2pt
\dbltextfloatsep 20pt plus 2pt minus 4pt

\@fptop 0pt plus 1fil
\@fpsep 8pt plus 2fil
\@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil
\@dblfpsep 8pt plus 2fil
\@dblfpbot 0pt plus 1fil
\marginparpush 5pt

\parskip 0pt plus 1pt
\partopsep 2pt plus 1pt minus 1pt

%</10pt>
%
%<*11pt>
\textheight = 39\baselineskip
\advance\textheight by \topskip
\textwidth 5.0truein
\columnsep 10pt
\columnseprule 0pt

\footnotesep 7.7pt
\skip\footins 10pt plus 4pt minus 2pt
\floatsep 12pt plus 2pt minus 2pt
\textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt
\dblfloatsep 12pt plus 2pt minus 2pt
\dbltextfloatsep 20pt plus 2pt minus 4pt

\@fptop 0pt plus 1fil
\@fpsep 8pt plus 2fil
\@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil
\@dblfpsep 8pt plus 2fil
\@dblfpbot 0pt plus 1fil
\marginparpush 5pt 

\parskip 0pt plus 0pt
\partopsep 3pt plus 1pt minus 2pt

%</11pt>
%
%<*12pt>
\textheight = 37\baselineskip
\advance\textheight by \topskip
\textwidth 5.0truein
\columnsep 10pt
\columnseprule 0pt

\footnotesep 8.4pt
\skip\footins 10.8pt plus 4pt minus 2pt
\floatsep 14pt plus 2pt minus 4pt 
\textfloatsep 20pt plus 2pt minus 4pt
\intextsep 14pt plus 4pt minus 4pt
\dblfloatsep 14pt plus 2pt minus 4pt
\dbltextfloatsep 20pt plus 2pt minus 4pt

\@fptop 0pt plus 1fil
\@fpsep 10pt plus 2fil
\@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil
\@dblfpsep 10pt plus 2fil
\@dblfpbot 0pt plus 1fil
\marginparpush 7pt

\parskip 0pt plus 0pt
\partopsep 3pt plus 2pt minus 2pt

%</12pt>
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty

\def\@makechapterhead#1{{%
  \setlength\parindent{\z@}%
  \setlength\parskip  {\z@}%
  \Large \ChapFont 
  \ifnum
    \c@secnumdepth >\m@ne
    \par\nobreak
    \vskip 10\p@
    \thechapter{} \space
  \fi #1\par
  \nobreak
  \vskip 20\p@}}

\def\@makeschapterhead#1{{%
  \setlength\parindent{\z@}%
  \setlength\parskip  {\z@}%
  \Large \ChapFont #1\par
  \nobreak
  \vskip 20\p@}}

\def\chapter{%
 \clearpage
 \thispagestyle{plain}
 \global\@topnum\z@ 
 \@afterindentfalse  
 \secdef\@chapter\@schapter}

\def\@chapter[#1]#2{%
  \ifnum \c@secnumdepth
    >\m@ne
    \refstepcounter{chapter}%
    \typeout{\@chapapp\space\thechapter.}% 
    \addcontentsline{toc}{chapter}{\protect
    \numberline{\thechapter}\bfseries #1}
  \else
    \addcontentsline{toc}{chapter}{\bfseries #1}
  \fi
  \chaptermark{#1}%
  \addtocontents{lof}%
  {\protect\addvspace{4\p@}} 
  \addtocontents{lot}%
  {\protect\addvspace{4\p@}} 
  \if@twocolumn                   
    \@topnewpage[\@makechapterhead{#2}]%
  \else
    \@makechapterhead{#2}%
    \@afterheading          
  \fi
}

\def\section{\@startsection{section}{1}{\z@}{%
  -3.5ex plus-1ex minus-.2ex}{2.3ex plus.2ex}{%
  \reset@font\large\bfseries}}
\def\subsection{\@startsection{subsection}{2}{\z@}{%
  -3.25ex plus-1ex minus-.2ex}{1.5ex plus.2ex}{%
  \reset@font\normalsize\bfseries}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{%
  -3.25ex plus-1ex minus-.2ex}{1.5ex plus.2ex}{%
  \reset@font\normalsize\bfseries}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}{%
  3.25ex plus1ex minus.2ex}{-1em}{%
  \reset@font\normalsize\bfseries}}
\def\subparagraph{\@startsection{subparagraph}{4}{\parindent}{%
  3.25ex plus1ex minus.2ex}{-1em}{%
  \reset@font\normalsize\bfseries}}

\leftmargini 2.5em
\leftmarginii 2.2em     % > \labelsep + width of '(m)'
\leftmarginiii 1.87em   % > \labelsep + width of 'vii.'
\leftmarginiv 1.7em     % > \labelsep + width of 'M.'
\leftmarginv 1em
\leftmarginvi 1em

\leftmargin\leftmargini
\labelsep .5em
\labelwidth\leftmargini\advance\labelwidth-\labelsep

%<*10pt>
\def\@listI{\leftmargin\leftmargini \parsep 4\p@ plus2\p@ minus\p@
\topsep 8\p@ plus2\p@ minus4\p@
\itemsep 4\p@ plus2\p@ minus\p@}

\let\@listi\@listI
\@listi

\def\@listii{\leftmargin\leftmarginii
  \labelwidth\leftmarginii\advance\labelwidth-\labelsep
  \topsep 4\p@ plus2\p@ minus\p@
  \parsep 2\p@ plus\p@ minus\p@
  \itemsep \parsep}

\def\@listiii{\leftmargin\leftmarginiii
  \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
  \topsep 2\p@ plus\p@ minus\p@
  \parsep \z@ \partopsep\p@ plus\z@ minus\p@
  \itemsep \topsep}

\def\@listiv{\leftmargin\leftmarginiv
  \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
   
\def\@listv{\leftmargin\leftmarginv
  \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
   
\def\@listvi{\leftmargin\leftmarginvi
  \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}
%</10pt>
%
%<*11pt>
\def\@listI{\leftmargin\leftmargini \parsep 4.5\p@ plus2\p@ minus\p@
\topsep 9\p@ plus3\p@ minus5\p@
\itemsep 4.5\p@ plus2\p@ minus\p@}

\let\@listi\@listI
\@listi

\def\@listii{\leftmargin\leftmarginii
  \labelwidth\leftmarginii\advance\labelwidth-\labelsep
  \topsep 4.5\p@ plus2\p@ minus\p@
  \parsep 2\p@ plus\p@ minus\p@
  \itemsep \parsep}

\def\@listiii{\leftmargin\leftmarginiii
  \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
  \topsep 2\p@ plus\p@ minus\p@
  \parsep \z@ \partopsep \p@ plus\z@ minus\p@
  \itemsep \topsep}

\def\@listiv{\leftmargin\leftmarginiv
  \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
   
\def\@listv{\leftmargin\leftmarginv
  \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
    
\def\@listvi{\leftmargin\leftmarginvi
  \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}
%</11pt>
%
%<*12pt>
\def\@listI{\leftmargin\leftmargini \parsep 5\p@ plus2.5\p@ minus\p@
\topsep 10\p@ plus4\p@ minus6\p@
\itemsep 5\p@ plus2.5\p@ minus\p@}

\let\@listi\@listI
\@listi

\def\@listii{\leftmargin\leftmarginii
  \labelwidth\leftmarginii\advance\labelwidth-\labelsep
  \topsep 5\p@ plus2.5\p@ minus\p@
  \parsep 2.5\p@ plus\p@ minus\p@
  \itemsep \parsep}

\def\@listiii{\leftmargin\leftmarginiii
  \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
  \topsep 2.5\p@ plus\p@ minus\p@
  \parsep \z@ \partopsep \p@ plus\z@ minus\p@
  \itemsep \topsep}

\def\@listiv{\leftmargin\leftmarginiv
  \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
   
\def\@listv{\leftmargin\leftmarginv
  \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
    
\def\@listvi{\leftmargin\leftmarginvi
  \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}
%</12pt>
%</opt>
%    \end{macrocode}
